{% extends "base.html" %}

{% block main %}
<h1>Parts / [METHOD]</h1>

<p class="mb-4">
  Create interactive web apps with HTML only.
</p>

<h2>Request URL (optional)</h2>

Each DOM element may have one of these attributes with a value equal to URL:

<pre><code>
data-get
data-post
data-put
data-patch
data-delete
</code></pre>

Example:

<pre><code class="html">
&lt;button data-get="/ui/buttons"&gt;Next page&lt;/button&gt;

&lt;a href="/ui/buttons" data-get&gt;Next page&lt;/a&gt;
</code></pre>

"a" tags do not require a <b>value</b> of this attribute but still
require it's existence, URL will be taken from "href" attribute.

<!-- &lt;a href="/ui/buttons"&gt;asd&lt;/a&gt; -->



<!-- <div class="d-flex">
     <div class="flex-grow">
     <button>Ok</button>
     </div>

     <div>
     asd
     </div>
     </div> -->
{% endblock %}
